Get Condition Set
curl --request GET \
--url https://api.privy.io/v1/condition_sets/{condition_set_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/condition_sets/{condition_set_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/condition_sets/{condition_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/condition_sets/{condition_set_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/condition_sets/{condition_set_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "qvah5m2hmp9abqlxdmfiht95",
"name": "Approved Recipients",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio",
"created_at": 1761271537642
}Condition sets
Get condition set
Get a condition set by condition set ID.
GET
/
v1
/
condition_sets
/
{condition_set_id}
Get Condition Set
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
Required string length:
24Response
200 - application/json
Requested condition set object.
A condition set for grouping related condition values.
Unique ID of the created condition set. This will be the primary identifier when using the condition set in the future.
Required string length:
24Name of the condition set.
Required string length:
1 - 100The key quorum ID of the owner of the condition set, or null if unowned.
Unix timestamp of when the condition set was created in milliseconds.
Was this page helpful?

